clear; clc;
[t,yo1,e1,yo2,e2,yo3,e3] = importfile1('../icse16_trace.csv');
y1r = yo1 - e1;
y2r = yo2 - e2;
y3r = yo3 - e3;

p = 0.9;
a = [1 -p]; b = 1-p;
y1 = filter(b,a,y1r);
y2 = filter(b,a,y2r);
y3 = filter(b,a,y3r);


figure(1); clf;
subplot(311); hold all;
plot(t,yo1,'r--');
plot(t,y1);
xlabel('time');
ylabel('Reliability');

subplot(312); hold all;
plot(t,yo2,'r--');
plot(t,y2);
xlabel('time');
ylabel('Performance');

subplot(313); hold all;
plot(t,yo3,'r--');
plot(t,y3);
xlabel('time');
ylabel('Cost');